<?php
namespace Claromentis\Search;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array("_76b8f4f0c6d8" . "6cb513c6a0c49" . "1de1e8d" => base64_decode("VGV4dCBleHRyYWN0b3IgaXMgY29uZmlndXJlZCBidXQgdGhlIGNvbm5lY3Rpb24gY2hlY2sgZmF" . "pbGVkIHNvIGl0IHdpbGwgYmUgZGlzYWJsZWQuIE1lc3NhZ2U6ICI="), "_4d707fab93bebb00" . "bbe69e8159697c90" => base64_decode(""), "_89317315bf1853e3644635cf16" . "af3b06" => base64_decode("VGV4dCBleHRyYWN0b3IgZXJyb3IgZnJvbSB" . "maWxlICI="), "_e92ad742fc12ec1d" . "d5c30557fafca331" => base64_decode("Ig=" . "="), "_63fc7fd38817bf222b" . "c4e3a04e17f2c3" => base64_decode("Ii4gT" . "WVzc2" . "FnZTo" . "gIg=="));
use Psr\Log\LoggerAwareInterface;
use Psr\Log\LoggerAwareTrait;
use Psr\Log\LoggerInterface;
use Psr\Log\NullLogger;
use Vaites\ApacheTika;
class TextExtractorService implements LoggerAwareInterface
{
    use LoggerAwareTrait;
    protected ?ApacheTika\Client $tikaClient = null;
    protected ?bool $isWorking = null;
    public function __construct(?ApacheTika\Client $_7ea853d2916986a25d9e854d8839f86e = null, LoggerInterface $logger = null)
    {
        $this->setLogger($logger ?? new NullLogger());
        $this->tikaClient = $_7ea853d2916986a25d9e854d8839f86e;
    }
    
    
    
    
    
    public function getText(string $filename) : string
    {
        if ($this->tikaClient === null || !$this->isAvailable()) {
            return $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_4d707fab93be" . "bb00bbe69e815" . "9697c90"];
        }
        try {
            return $this->tikaClient->getText($filename);
        } catch (\Exception $e) {
            $this->logger->error($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_89317315bf1853e3644635cf16" . "af3b06"] . $filename . $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_63fc7fd38817bf222bc4e3a0" . "4e17f2c3"] . $e->getMessage() . $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_e92ad742fc12ec1dd" . "5c30557fafca331"]);
            $this->logger->debug($e);
            return $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_4d707fab93bebb00bb" . "e69e8159697c90"];
        }
    }
    public function isAvailable() : bool
    {
        if ($this->isWorking === null) {
            $this->isWorking = false;
            if ($this->tikaClient !== null) {
                try {
                    $this->tikaClient->check();
                    $this->isWorking = true;
                } catch (\Exception $e) {
                    $this->logger->error($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_76b8f4f0c6d86cb5" . "13c6a0c491de1e8d"] . $e->getMessage() . $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_e92ad742fc12ec1dd5c30557f" . "afca331"]);
                    $this->logger->debug($e);
                }
            }
        }
        return $this->isWorking;
    }
}